#3 - 05/04/2021 07:41 PM - Ovidiu Maxiniuc

- Assignee set to Ovidiu Maxiniuc

There are known warnings printed by FqlToSqlConverter into log about Property '<identifier>' not found to extract column name. Assuming it is a

column name already.

These are generated only when the FQL statement was generated in TemporaryBuffer.readAllRows and the ORDER BY clause is the result of

invocation of getPrimaryOrderByClause(). This method uses the SQL name instead of the property name, breaking this way the semantics of FQL.

Since these identifiers have sometimes different values, FqlToSqlConverter will fail to obtain the associated property for further processing. In this

case, as the message says, it will use the identifier as it is, the SQL column name being propagated this way to SQL statement generated by

FqlToSqlConverter. The result is, nevertheless, a valid SQL statement.

In r12362/3821c I attempted to fix the issue by:

emitting the correct property name in TemporaryBuffer.getPrimaryOrderByClause() - this fixes the FQL;

attempt to replace the property with SQL column name in FqlToSqlConverter.generateProperty().

The fix did not hold because, depending on the location of the identifier, in FQL it possibly requires wrapping/decoration if a character field is

processed and had to be temporarily reverted (r12365/3821c). The problem is that the information is not always available and depends on the current

dialect.

#4 - 05/07/2021 11:51 AM - Eric Faulhaber

Ovidiu, I understand this logs a warning, but it is not detrimental, correct? If so, let's lower the priority.

#5 - 05/07/2021 02:05 PM - Ovidiu Maxiniuc

- Priority changed from Normal to Low

- Status changed from New to WIP

Exactly.
